org.eclnt.workplace

## Class WorkplaceViewManager

- java.lang.Object
- - org.eclnt.workplace.WorkplaceViewManager

-     public class WorkplaceViewManager
      extends java.lang.Object

  Logic for readin / storing workplace perspectives.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkplaceViewManager()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<java.lang.String>` | `getAvailableTileInfos()`
    `static java.util.List<java.lang.String>` | `getAvailalablePersonalTileInfos(java.lang.String user)`
    `static WorkplaceTileInfo` | `loadPersonalTileInfo(java.lang.String user, java.lang.String perspective)`
    `static WorkplaceTileInfo` | `loadTileInfo(java.lang.String perspective)`
    `static void` | `main(java.lang.String[] args)`
    `static java.lang.String` | `marshalTileInfo(WorkplaceTileInfo tileInfo)`
    `static void` | `removePersonalTileInfo(java.lang.String user, java.lang.String name)`
    `static void` | `removeTileInfo(java.lang.String perspective)`
    `static void` | `storePersonalTileInfo(WorkplaceTileInfo tileInfo, java.lang.String user, java.lang.String name)`
    `static void` | `storeTileInfo(WorkplaceTileInfo tileInfo, java.lang.String perspective)`
    `static WorkplaceTileInfo` | `unmarshalTileInfo(java.lang.String xml)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkplaceViewManager

          public WorkplaceViewManager()

  - ### Method Detail

    - #### getAvailableTileInfos

          public static java.util.List<java.lang.String> getAvailableTileInfos()

    - #### getAvailalablePersonalTileInfos

          public static java.util.List<java.lang.String> getAvailalablePersonalTileInfos(java.lang.String user)

    - #### loadPersonalTileInfo

          public static WorkplaceTileInfo loadPersonalTileInfo(java.lang.String user,
                                                               java.lang.String perspective)

    - #### loadTileInfo

          public static WorkplaceTileInfo loadTileInfo(java.lang.String perspective)

    - #### unmarshalTileInfo

          public static WorkplaceTileInfo unmarshalTileInfo(java.lang.String xml)

    - #### storePersonalTileInfo

          public static void storePersonalTileInfo(WorkplaceTileInfo tileInfo,
                                                   java.lang.String user,
                                                   java.lang.String name)

    - #### storeTileInfo

          public static void storeTileInfo(WorkplaceTileInfo tileInfo,
                                           java.lang.String perspective)

    - #### removePersonalTileInfo

          public static void removePersonalTileInfo(java.lang.String user,
                                                    java.lang.String name)

    - #### removeTileInfo

          public static void removeTileInfo(java.lang.String perspective)

    - #### marshalTileInfo

          public static java.lang.String marshalTileInfo(WorkplaceTileInfo tileInfo)

    - #### main

          public static void main(java.lang.String[] args)

Copyright © CaptainCasa Gmbh. All Rights Reserved.